Package ghidra.app.util.bin.format.coff

# Class CoffSymbolAuxSection

java.lang.Object
ghidra.app.util.bin.format.coff.CoffSymbolAuxSection

All Implemented Interfaces:
  `CoffSymbolAux`, `StructConverter`

public class CoffSymbolAuxSection extends Object implements CoffSymbolAux

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getLineNumberCount()`
  `short`
  `getRelocationCount()`
  `int`
  `getSectionLength()`
  `byte[]`
  `getUnused()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getSectionLength

    public int getSectionLength()

  - ### getRelocationCount

    public short getRelocationCount()

  - ### getLineNumberCount

    public short getLineNumberCount()

  - ### getUnused

    public byte[] getUnused()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`